// src/core/transformer.ts
function transformBooleanProp(_options = {}) {
  return (node) => {
    if (node.type !== 1)
      return;
    for (const [i, prop] of node.props.entries()) {
      if (prop.type !== 6 || prop.value !== void 0)
        continue;
      node.props[i] = {
        type: 7,
        name: "bind",
        arg: {
          type: 4,
          constType: 3,
          content: prop.name,
          isStatic: true,
          loc: prop.loc
        },
        exp: {
          type: 4,
          constType: 3,
          content: "true",
          isStatic: false,
          loc: prop.loc
        },
        loc: prop.loc,
        modifiers: []
      };
    }
  };
}

export {
  transformBooleanProp
};
